
set(scripts
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_000.lua
	)

add_executable(pixwerx
	pixwerx.cpp
	${scripts}
	)

target_include_directories(pixwerx
	PRIVATE
	${CMAKE_SOURCE_DIR}/src/deps
	${CMAKE_SOURCE_DIR}/src/core/include
	${CMAKE_SOURCE_DIR}/src/ui/include
	${CMAKE_SOURCE_DIR}/src/scripting/include
	)

target_link_libraries(pixwerx pwcore pwsystem pwscripting)
